<?

 /*****************************************************************************
 * Filename: api/data/index.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 ini_set("display_errors", 0); //don't show PHP errors in API

 $_path["root"]="../../";
 require($_path["root"]."include.php");

 if($_session->inBackend()) //backend project
  $_session->frontend(); //switch to frontend project

 require_once($_path["api"]."data.php");

 $api=new API_Data("server");

 if(!$api->parse((isset($_REQUEST["request"])?$_REQUEST["request"]:"")))
  $api->error();
 else if(!$api->commands())
  $api->error();
 else if(!$api->format())
  $api->error();

 print $api->output();
?>
