<?

 /*****************************************************************************
 * Filename: include/modules/content.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class System_Module_Content extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="Content";

   $this->data->defaultFields();

   $this->data->addField("title", "text", "all", "title", 1, 50, false, "Title");
   $this->data->addField("text", "html", "all", "wysiwyg", 0, 65535, false, "Text");

   $this->data->sortOrder("title");
  }

 }
?>
