<?

 /*****************************************************************************
 * Filename: include/modules/httpdConfig.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class System_Module_httpdConfig extends Module
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="HTTPD configuration";

   $this->data->addField("port", "nr", "all", "title", 1, false, 80, "Port number");
   $this->data->addField("uid", "nr", "all", "title", 1, false, 80, "User ID");
   $this->data->addField("gid", "nr", "all", "title", 1, false, 80, "Group ID");
   $this->data->addField("alarm", "nr", "all", "title", 1, 100, 5, "Alarm seconds to ensure CLI responsiveness");

   $this->data->addField("mode", "enum", "all", "title", false, false, "exec", "Mode");
   $this->data->enumOptions("mode", "exec", "fork");
  }

 }
?>
