<?

 /*****************************************************************************
 * Filename: project/jas/project/index.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 $_jseskey="jas";

 $_path["root"]="../../../";
 require($_path["root"]."include.php");
 require_once($_path["include"]."history.php");

 if($_benchmark) $_benchmark->start("Project");

 $_session->frontend();

 $hs=new History();
 $hs->lockProject(); //lock to current
 if(!$hs->isAlreadyStored())
  $hs->store();
 unset($hs);

 if(file_exists($_path["project"]["root"]."index.php"))
  require($_path["project"]["root"]."index.php");
 else
  echo "Project not found!";

 $_session->backend();

 if($_benchmark) $_benchmark->stop("Project");
?>
